## org.cybergarage.upnp.ssdp
Class SSDPNotifySocketList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.Vector
                  org.cybergarage.upnp.ssdp.SSDPNotifySocketList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class SSDPNotifySocketList

extends Vector

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SSDPNotifySocketList()`

Method Summary
`void` `close()`
`SSDPNotifySocket` `getSSDPNotifySocket(int n)`
`boolean` `open()`
`void` `setControlPoint(ControlPoint ctrlPoint)`
`void` `start()`
`void` `stop()`

Methods inherited from class java.util.Vector

`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSDPNotifySocketList

    public SSDPNotifySocketList()

Method Detail

### getSSDPNotifySocket

    public SSDPNotifySocket getSSDPNotifySocket(int n)

### setControlPoint

    public void setControlPoint(ControlPoint ctrlPoint)

### open

    public boolean open()

### close

    public void close()

### start

    public void start()

### stop

    public void stop()